INIBuilderParameters (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.builder.fluent, interface: INIBuilderParameters

Package org.apache.commons.configuration2.builder.fluent

# Interface INIBuilderParameters

All Superinterfaces:
  `BasicBuilderProperties<INIBuilderParameters>`, `BuilderParameters`, `FileBasedBuilderProperties<INIBuilderParameters>`, `HierarchicalBuilderProperties<INIBuilderParameters>`, `INIBuilderProperties<INIBuilderParameters>`

public interface INIBuilderParameters extends BasicBuilderProperties<INIBuilderParameters>, FileBasedBuilderProperties<INIBuilderParameters>, HierarchicalBuilderProperties<INIBuilderParameters>, INIBuilderProperties<INIBuilderParameters>, BuilderParameters

Definition of a parameters interface providing a fluent API for setting all properties for a INI configuration.

Important note: This interface is not intended to be implemented by client code! It defines a set of available properties and may be extended even in minor releases.

Since:
  2.2

- ## Field Summary

  ### Fields inherited from interface org.apache.commons.configuration2.builder.BuilderParameters

  `RESERVED_PARAMETER_PREFIX`

- ## Method Summary

  ### Methods inherited from interface org.apache.commons.configuration2.builder.BasicBuilderProperties

  `setBeanHelper, setConfigurationDecoder, setConversionHandler, setDefaultLookups, setInterpolator, setListDelimiterHandler, setLogger, setParentInterpolator, setPrefixLookups, setSynchronizer, setThrowExceptionOnMissing`

  ### Methods inherited from interface org.apache.commons.configuration2.builder.BuilderParameters

  `getParameters`

  ### Methods inherited from interface org.apache.commons.configuration2.builder.FileBasedBuilderProperties

  `setBasePath, setEncoding, setFile, setFileName, setFileSystem, setLocationStrategy, setPath, setReloadingDetectorFactory, setReloadingRefreshDelay, setURL, setURL`

  ### Methods inherited from interface org.apache.commons.configuration2.builder.HierarchicalBuilderProperties

  `setExpressionEngine`

  ### Methods inherited from interface org.apache.commons.configuration2.builder.INIBuilderProperties

  `setCommentLeadingCharsUsedInInput, setSeparatorUsedInInput, setSeparatorUsedInOutput`